#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8e347897, "module_layout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbb29b267, "__gcov_merge_add" },
	{ 0x84a4b45d, "__gcov_exit" },
	{ 0xdceb3072, "__gcov_init" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x65dccf13, "xz_dec_end" },
	{ 0xd93582e7, "__register_chrdev" },
	{ 0x52d717da, "xz_dec_init" },
	{ 0xfd43d459, "latent_entropy" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x6e5b8651, "xz_dec_run" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x81db6ebb, "xz_dec_reset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "66D48D3D0384AB1B6CB93B8");
